%define url_ver	%(echo %{version}|cut -d. -f1,2)

%bcond_without bootstrap

Summary:	Common JavaScript modules for GNOME
Name:		gnome-js-common
Epoch:		1
Version:	0.1.2
Release:	%mkrel 6
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
License:	GPLv3
Group:		Development/Other
Url:		http://www.gnome.org
BuildArch:	noarch
%if ! %with bootstrap
BuildRequires:	seed-devel
%endif
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	intltool
BuildRequires:	libtool

%description
gnome-js-common is a module holding tests and JavaScript code useful
or common to both Seed and gjs.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

./configure \
	--prefix=%_prefix \
	--datadir=%_datadir \
	--libdir=%_datadir \
%if %with bootstrap
	--disable-seed
%endif

%make_build

%install
%make_install gnome_js_commondocdir=%_datadir/doc/%name

%files
%doc %_datadir/doc/%name
%_datadir/gnome-js
%_datadir/pkgconfig/gnome-js-common.pc


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.1.2-6.mga8
+ Revision: 1501487
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:0.1.2-5.mga7
+ Revision: 1278432
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1:0.1.2-4.mga7
+ Revision: 1234154
- fix build on aarch64

* Thu Jan 28 2016 umeabot <umeabot> 1:0.1.2-3.mga6
+ Revision: 928491
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.1.2-3.mga5
+ Revision: 679726
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.1.2-3.mga4
+ Revision: 505053
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.1.2-3.mga3
+ Revision: 352142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 15 2012 ovitters <ovitters> 1:0.1.2-3.mga2
+ Revision: 209279
- clean spec

* Thu Mar 24 2011 boklm <boklm> 1:0.1.2-2.mga1
+ Revision: 76147
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 1:0.1.2-1.mga1
+ Revision: 72679
- update to 0.1.2 and add an Epoch so that it can be installed over the 0.2
  package which was a git snapshot
- add a bootstrap to build without seed-devel (circular BR)
+ ennael <ennael>
- imported package gnome-js-common


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2011.0
+ Revision: 605471
- rebuild

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2010.1
+ Revision: 484675
- update to new version 0.2

* Sat Jul 11 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 394710
- update to new version 0.1.1

* Fri May 29 2009 Götz Waschk <waschk@mandriva.org> 0.1-0.20090529.1mdv2010.0
+ Revision: 381105
- import gnome-js-common


